org.apache.ignite.internal.processors.cache.mvcc

## Class MvccEmptyLongList

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.MvccEmptyLongList

All Implemented Interfaces:
  MvccLongList

    public class MvccEmptyLongList
    extends Object
    implements MvccLongList

### Field Summary

Fields
`static MvccEmptyLongList` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(long val)`
`long` `get(int i)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static MvccEmptyLongList INSTANCE

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `MvccLongList`

#### get

    public long get(int i)

Specified by:
  `get` in interface `MvccLongList`

#### contains

    public boolean contains(long val)

Specified by:
  `contains` in interface `MvccLongList`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020